using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_EntityFramework;
using Exferia_General._0_Modelos;
using Exferia_General.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_General._3_Vistas.Listados
{
    public class ABS_Listado_HRM_PreciosCombustible_Historico : ABS_Listado
    {
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        //Constructor
        public ABS_Listado_HRM_PreciosCombustible_Historico()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(HRM_PreciosCombustible_Historico.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(HRM_PreciosCombustible_Historico.id), "id", Enumerados.G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(HRM_PreciosCombustible_Historico.precio), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(HRM_PreciosCombustible_Historico.precio), "Precio", Enumerados.G_ENUM_TIPOSDATOS.DECIMAL, false, 90, true, true, true, false, "", null));
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(HRM_PreciosCombustible_Historico.fecha), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(HRM_PreciosCombustible_Historico.fecha), "Fecha", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 250, true, true, true, false, "", null));
        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_GEN_ALMACEN);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_ERP_TASACOMBUSTIBLE;
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(HRM_PreciosCombustible_Historico.fecha);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
